Svenska Orienteringsförbundet

Inlägg i OLA > Någon som har msi-paket för Windowsinstallation av äldre java-connector, version 5?

  • Sverker Eriksson
    tisdag 14 maj 2019 klockan 19:22

    Fick faktiskt igång det till slut just som jag var på väg att tända korvgrillen...

    Mina tips nedan till andra förvirrade "korvgrillare":

    Installera MySQL Community Server 5.7.26 via MSI-paket (utan att behöva gå igenom alla manuella steg vid nerladdning av zip-arkiv).
    Förutsätter här att java-connector och workbench redan på plats, java-connector-filen i OLA\Lib.

    Fimpa' ev tidigare MySQL-installationer via kontrollpanelen, ta bort program. Kontrollera att tjänsten tagits bort.
    Administrationsverktyg - Tjänster. Om MySQL kvar bland tjänster:
    Välj Alla Program - Tillbehör - högerklicka på Kommandotolken och kör som administratör.
    Skriv in kommandot: sc delete MySQL <Enter>

    Oracles web med MySQL (du behöver skapa ett konto):
    Välj MySQL Community server 5.7 från "Download" (ej via "Archive").
    Version 5.7.26 visas i formulär.
    >>Go to download page

    Välj MSI-installerarern som är 414,8 M (funkar ej med 20M-varianten som står överst).
    Ladda ner och starta.

    Starta installeraren. Endast "tillbehören" connector och workbech visas som alternativ först.
    Bocka bort båda dessa (redan installerade) och tryck på next, svara ja på att installation avbryts.
    Nytt formulär öppnas nu, tryck på Add...
    Klicka fram (via +-tecken) MySQL Community Server 5.7.26 (x86) och installera/kör initial inställning/setup
    ("multifuctional", kör som server).

    Jag har OLA 5.5.0

    MySQL Community server 5.7.26 (x86)

    mysql-connector-java-5.1.30-bin.jar

    (ej testat workbench än)

    Körs på Win 7 prof, 64-bit

    /S

  • Sverker Eriksson
    tisdag 14 maj 2019 klockan 15:13

    Tack för all hjälp! Tyvärr funkar det inte trots allt.

    Måste ärligt säga att hela detta upplägg med MySQL/Oracles hemsida med ett oändligt antal varianter av div produkter, olika sätt att installera etc, gör att allt sammantaget känns extremt långt från en rimlig slutanvändarprodukt.

    Någon annan i klubben med bättre tålamod får ta över detta. /S

  • Fredric Johansson
    tisdag 14 maj 2019 klockan 12:23

    OLA 5.3+ kräver MySQL 5.6 för att fungera (https://eventor.orientering.se/Forum/Thread/1043). OLA 5.5+ fungerar även med MySQL 5.7.

    Fungerar det inte efter uppgradering av MySQL så måste du läsa logg-filerna för det är svårt att säga något utan mer information

     

  • Sverker Eriksson
    tisdag 14 maj 2019 klockan 12:13

    Kollat tråd' 1260.

    Någon som vet vad OLA gör vi 81% - skapande av ny MySQL databas? Jag är ju' inte den förste som får detta fel. Jag har tetsta med olika versioner av java-connector, OLA 5.1 resp 5.5 etc. Dock hela tiden med MySQL 5.5.9 (enl. SOFT:s instruktioner från 2011). Samma fel hela tiden.

    Känns som en ren slumpmaskin att försöka testa med olika versioner av MySQL resp. java-connector. Finns hur många versioner som heslt att välja på hos Oracle... /S

  • Gunnar Svanberg
    tisdag 14 maj 2019 klockan 11:53

    Har du kollat i den här tråden?
    https://eventor.orientering.se/Forum/Thread/1260

     

  • Sverker Eriksson
    tisdag 14 maj 2019 klockan 10:42

    Japp, testat detta sedan tidigare (flytta in jar-filen manuellt) men får fortfarande scriptfel när OLA-klienten ska skapa ny databas. Går ca. 80% sen skiter det sig... "Rätt" gamla versioner av allt. Testat med Win 7 prof (64 bit) och Win 8.1 (64 bit). Tror en korrekt installation av drivrutinerna hade varit bättre? Funderar nu på att försöka hitta en antik 32-bitars-maskin och testa med...

  • Felix Alnervik
    måndag 13 maj 2019 klockan 22:03

    MySQL Server 5.7 hittar du här:

    https://dev.mysql.com/downloads/windows/installer/5.7.html

    Java connector kan du ladda ner som zip-fil och sedan lägga in i lib mappen hos OLA

    https://dev.mysql.com/downloads/connector/j/5.1.html

     

  • Sverker Eriksson
    måndag 13 maj 2019 klockan 21:50

    Behöver för OLS/MySQL 5. Har någon möjligen tillgång till msi-paket (Windows Installer) av äldre connector för java, version 5?

    Den äldre "connector" som ska användas enl. instruktioner finns inte kvar hos Oracle annat än som zippad version av jar-filen. Jag kan inte göra en korrekt installation med hjälp av denna fil.
    När jag installerade senaste connector för java (jdbc), version 8, och sedan manuellt kopierade in den äldre jar-filen till Lib under OLA, funkar det nästan. Ny databas börjar skapas men ett scriptfel' inträffar innan det blir klart.
     
    Det går inte att använda senaste versionen av connector (jdbc), version 8. Blir missförstånd avseende internationell tidformat...
     
    Antingen är jag helt fel på detta - eller så är det allt annat än slutanvändarvänligt?
     
    /Mvh Sverker, OK Gynge
    0720-63 60 47

Annonser